Devuan bug report logs - #619
elogind crashes with needrestart's defaults

Package: elogind; Reported by: Rene Kita <mail@rkta.de>; Done: dak@devuan.org; Maintainer for elogind is Mark Hindley <mark@hindley.org.uk>.

Message received at 619-done@bugs.devuan.org:


Received: (at 619-done) by bugs.devuan.org; 27 Oct 2021 11:30:03 +0000
Return-Path: <dak@devuan.org>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Wed, 27 Oct 2021 11:30:03 +0000 (UTC)
Received: from mail.devuan.dev (mail.devuan.dev [54.36.142.182])
	by vm6.ganeti.dyne.org (Postfix) with ESMTP id 0BAC9F60B17
	for <619-done@bugs.devuan.org>; Wed, 27 Oct 2021 13:22:19 +0200 (CEST)
Received: from dak.ganeti1.devuan.org (dak.devuan.org [192.168.97.90])
	by mail.devuan.dev (Postfix) with SMTP id 3F5333BEB87
	for <619-done@bugs.devuan.org>; Wed, 27 Oct 2021 11:22:19 +0000 (UTC)
Received: (nullmailer pid 30746 invoked by uid 107);
	Wed, 27 Oct 2021 11:22:19 -0000
From: dak@devuan.org
To: 619-done@bugs.devuan.org
Subject: #619: fixed in src:elogind version 246.10-3
MIME-Version: 1.0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit
Date: Wed, 27 Oct 2021 11:22:19 +0000
Message-Id: <1635333739.180669.30745.nullmailer@dak.localnet.devuan.org>
X-Spam-Status: No, score=0.0 required=5.0 tests=SPF_HELO_FAIL
	autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org


Version: 246.10-3

Source package elogind (246.10-3) added to Devuan suite unstable.

This closes bug report 619.

Thanks

DAK managing the Devuan archive

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 27 Oct 2021 10:13:08 +0100
Source: elogind
Architecture: source
Version: 246.10-3
Distribution: unstable
Urgency: medium
Maintainer: Mark Hindley <mark@hindley.org.uk>
Changed-By: Mark Hindley <mark@hindley.org.uk>
Closes: 619
Changes:
 elogind (246.10-3) unstable; urgency=medium
 .
   * Prevent restart if startx session is running (Closes: #619).
Checksums-Sha1:
 0e7d2ad4028e97810272264e93c4ab48d838d46b 2017 elogind_246.10-3.dsc
 f1380d6e6fe225528504c57ac0a9af0513a0daca 9008 elogind_246.10-3.debian.tar.xz
 74743b857063312bfe246a1735d282dadf3aa56d 5427 elogind_246.10-3_source.buildinfo
Checksums-Sha256:
 47a6d3a3787fb28ffae7ac42143f81515a3063ad1e1f8207e6ed1baa46ee6258 2017 elogind_246.10-3.dsc
 72affbb0713253158b6b04b1472c742de19f6f7f5dc6a3efb686255da6964329 9008 elogind_246.10-3.debian.tar.xz
 70775f57333dd17974f72dfd9020597619a800f8b69f3a2c621a24582a6e3199 5427 elogind_246.10-3_source.buildinfo
Files:
 5ad683a6891b4f5399db207a6d71938d 2017 admin optional elogind_246.10-3.dsc
 ef98c9be18edb2c40ce1c3d94d35f785 9008 admin optional elogind_246.10-3.debian.tar.xz
 7f2a6e1d3d3b827752b2d283c02f98f6 5427 admin optional elogind_246.10-3_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEcuPLdzMV36LkZHQ9lFMhJFQZIvsFAmF5M/oACgkQlFMhJFQZ
IvunbAf/Sr0nGm+IeSngZKlMqh4QXcJdX7RQnp8CNPvNU/RUpRGqpJjRAGidP38Y
WITgURn2xBkvg2uT+W+uK7yJSlF0WqytuxRMNkKMKd/5OQ/5W0MpfkLYHj88SWbX
uM9ro9M6yPqeo4D0jXGMcBllmP4pvvUPd5l1Vmi4BN/awH0k+GWFqYHWH74/CZ78
9z2ZbqcF+qb9CZWUwoMQVuYGXW75ymRD2+qEpdaObJ2YwsXQeMj9CRkz+nnnHS1e
qhxSH3ZiZHJd6MtOjoyWBXnwGtwCYPGPI82pklOTBJqZP091boYSAdoC9fYDtwmd
y/hzGmovxdIUS+rBKuTCGHgYayCn7Q==
=09fq
-----END PGP SIGNATURE-----

Notification sent to Rene Kita <mail@rkta.de>:
bug acknowledged by developer. Full text available.
Reply sent to dak@devuan.org:
You have taken responsibility. Full text available.

Message received at 619@bugs.devuan.org:


Received: (at 619) by bugs.devuan.org; 20 Oct 2021 15:40:04 +0000
Return-Path: <mark@hindley.org.uk>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Wed, 20 Oct 2021 15:40:04 +0000 (UTC)
Received: from mx.hindley.org.uk (193-36-131-86.cfwn.uk [193.36.131.86])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 706C2F60851
	for <619@bugs.devuan.org>; Wed, 20 Oct 2021 17:35:03 +0200 (CEST)
Received: from apollo.hindleynet ([192.168.1.3] helo=hindley.org.uk)
	by mx.hindley.org.uk with smtp (Exim 4.84_2)
	(envelope-from <mark@hindley.org.uk>)
	id 1mdDcL-0003Yi-Vn; Wed, 20 Oct 2021 16:35:02 +0100
Received: (nullmailer pid 26835 invoked by uid 1000);
	Wed, 20 Oct 2021 15:35:01 -0000
Date: Wed, 20 Oct 2021 16:35:01 +0100
From: Mark Hindley <mark@hindley.org.uk>
To: Rene Kita <mail@rkta.de>, 619@bugs.devuan.org
Subject: Re: bug#619: elogind crashes with needrestart's defaults
Message-ID: <YXA3JY9KJFsghDur@hindley.org.uk>
References: <163455317237.23680.12778481983901439544.reportbug@x200>
 <YW1UbLrGfmF3jbQx@hindley.org.uk>
 <YW1ZN7tM4k3yeJFZ@hindley.org.uk>
 <YW192XxRgPoNUOOZ@x200>
 <YW2vhFaCx5yBJNRa@hindley.org.uk>
 <163455317237.23680.12778481983901439544.reportbug@x200>
 <YW3IAMsFbtHS6E5l@kitchen>
 <163455317237.23680.12778481983901439544.reportbug@x200>
 <mailman.438.1634586724.1807.devuan-bugs@lists.dyne.org>
 <YW6sMFG6Tz1YM8Qx@hindley.org.uk>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="Is2A7tsukRt1B/BL"
Content-Disposition: inline
In-Reply-To: <YW6sMFG6Tz1YM8Qx@hindley.org.uk>
X-Debbugs-No-Ack: No Thanks
X-Spam-Status: No, score=0.4 required=5.0 tests=RDNS_DYNAMIC,SPF_PASS
	autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org


--Is2A7tsukRt1B/BL
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

Rena,

Whilst we are waiting for a proper fix for this upstream, does the attached
patch prevent the restart?

Thanks

Mark

--Is2A7tsukRt1B/BL
Content-Type: text/x-diff; charset=us-ascii
Content-Disposition: attachment;
	filename="0001-Prevent-restart-if-session-has-a-tty-and-DISPLAY-is-.patch"

From 6a86b28d8e80c3605418b4571dc166324a51fd41 Mon Sep 17 00:00:00 2001
From: Mark Hindley <mark@hindley.org.uk>
Date: Wed, 20 Oct 2021 16:31:08 +0100
Subject: [PATCH] Prevent restart if session has a tty and DISPLAY is set
 (startx).

Restarting elogind in this situation still crashes the GUI. Work around this
until it is fixed upstream.
---
 debian/elogind.init | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

diff --git a/debian/elogind.init b/debian/elogind.init
index fc3cb24a7..4a718fb2f 100644
--- a/debian/elogind.init
+++ b/debian/elogind.init
@@ -53,12 +53,18 @@ case "$1" in
     ;;
   force-reload|restart)
     log_daemon_msg "Restarting session management daemon" "elogind" || true
-    # Use SIGINT for graceful restart so that existing sessions are not lost.
-    start-stop-daemon --stop --quiet --oknodo --signal INT --retry 30 --pidfile $ELOGIND_PID
-    if start-stop-daemon --start --quiet --oknodo --pidfile $ELOGIND_PID --exec $ELOGIND -- $ELOGIND_OPTS; then
-        log_end_msg 0 || true
+    if loginctl session-status | grep -q tty && [ -n "$DISPLAY" ] ; then
+            # Work around #619
+            log_progress_msg "(Unable to restart from a startx GUI)" || true
+            log_end_msg 1 || true
     else
-        log_end_msg 1 || true
+            # Use SIGINT for graceful restart so that existing sessions are not lost.
+            start-stop-daemon --stop --quiet --oknodo --signal INT --retry 30 --pidfile $ELOGIND_PID
+            if start-stop-daemon --start --quiet --oknodo --pidfile $ELOGIND_PID --exec $ELOGIND -- $ELOGIND_OPTS; then
+                    log_end_msg 0 || true
+            else
+                    log_end_msg 1 || true
+            fi
     fi
     ;;
   try-restart)
-- 
2.20.1


--Is2A7tsukRt1B/BL--

Information forwarded to devuan-bugs@lists.dyne.org:
bug#619; Package elogind. Full text available.
Set bug forwarded-to-address to 'https://github.com/elogind/elogind/issues/216'. Request was from Mark Hindley <mark@hindley.org.uk> to 619-submit@bugs.devuan.org. Full text available.

Message received at 619@bugs.devuan.org:


Received: (at 619) by bugs.devuan.org; 19 Oct 2021 11:30:03 +0000
Return-Path: <mark@hindley.org.uk>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Tue, 19 Oct 2021 11:30:03 +0000 (UTC)
Received: from mx.hindley.org.uk (193-36-131-86.cfwn.uk [193.36.131.86])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 55C06F604D8
	for <619@bugs.devuan.org>; Tue, 19 Oct 2021 13:29:54 +0200 (CEST)
Received: from apollo.hindleynet ([192.168.1.3] helo=hindley.org.uk)
	by mx.hindley.org.uk with smtp (Exim 4.84_2)
	(envelope-from <mark@hindley.org.uk>)
	id 1mcnJY-0003eb-VO; Tue, 19 Oct 2021 12:29:53 +0100
Received: (nullmailer pid 11717 invoked by uid 1000);
	Tue, 19 Oct 2021 11:29:52 -0000
Date: Tue, 19 Oct 2021 12:29:52 +0100
From: Mark Hindley <mark@hindley.org.uk>
To: Rene Kita <mail@rkta.de>, 619@bugs.devuan.org
Subject: Re: bug#619: elogind crashes with needrestart's defaults
Message-ID: <YW6sMFG6Tz1YM8Qx@hindley.org.uk>
References: <163455317237.23680.12778481983901439544.reportbug@x200>
 <YW1UbLrGfmF3jbQx@hindley.org.uk>
 <YW1ZN7tM4k3yeJFZ@hindley.org.uk>
 <YW192XxRgPoNUOOZ@x200>
 <YW2vhFaCx5yBJNRa@hindley.org.uk>
 <163455317237.23680.12778481983901439544.reportbug@x200>
 <YW3IAMsFbtHS6E5l@kitchen>
 <163455317237.23680.12778481983901439544.reportbug@x200>
 <mailman.438.1634586724.1807.devuan-bugs@lists.dyne.org>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <mailman.438.1634586724.1807.devuan-bugs@lists.dyne.org>
X-Spam-Status: No, score=0.4 required=5.0 tests=RDNS_DYNAMIC,SPF_PASS
	autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

Control: forwarded -1 https://github.com/elogind/elogind/issues/216

Forwarded upstream.

Mark

Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Full text available.
Information forwarded to devuan-bugs@lists.dyne.org:
bug#619; Package elogind. Full text available.

Message received at 619@bugs.devuan.org:


Received: (at 619) by bugs.devuan.org; 18 Oct 2021 19:50:04 +0000
Return-Path: <mark@hindley.org.uk>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Mon, 18 Oct 2021 19:50:04 +0000 (UTC)
Received: from mx.hindley.org.uk (193-36-131-86.cfwn.uk [193.36.131.86])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 5FEF8F60914
	for <619@bugs.devuan.org>; Mon, 18 Oct 2021 21:49:03 +0200 (CEST)
Received: from apollo.hindleynet ([192.168.1.3] helo=hindley.org.uk)
	by mx.hindley.org.uk with smtp (Exim 4.84_2)
	(envelope-from <mark@hindley.org.uk>)
	id 1mcYd3-0007o3-0c; Mon, 18 Oct 2021 20:49:01 +0100
Received: (nullmailer pid 4737 invoked by uid 1000);
	Mon, 18 Oct 2021 19:48:59 -0000
Date: Mon, 18 Oct 2021 20:48:59 +0100
From: Mark Hindley <mark@hindley.org.uk>
To: Rene Kita <mail@rkta.de>, 619@bugs.devuan.org
Subject: Re: bug#619: elogind crashes with needrestart's defaults
Message-ID: <YW3Pq7WojcUkSKgc@hindley.org.uk>
References: <163455317237.23680.12778481983901439544.reportbug@x200>
 <YW1UbLrGfmF3jbQx@hindley.org.uk>
 <YW1ZN7tM4k3yeJFZ@hindley.org.uk>
 <YW192XxRgPoNUOOZ@x200>
 <YW2vhFaCx5yBJNRa@hindley.org.uk>
 <163455317237.23680.12778481983901439544.reportbug@x200>
 <YW3IAMsFbtHS6E5l@kitchen>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <YW3IAMsFbtHS6E5l@kitchen>
X-Debbugs-No-Ack: No Thanks
X-Spam-Status: No, score=0.4 required=5.0 tests=RDNS_DYNAMIC,SPF_PASS
	autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

On Mon, Oct 18, 2021 at 09:16:16PM +0200, Rene Kita wrote:
> > OK, that is unexpected. I can't reproduce that behaviour.
> > 
> > What desktop are you using?
> i3 with i3-status and dmenu, started with 'startx'.

OK, I have managed to reproduce this now. It only happens for me in a GUI
started with startx. The display managers I tried (slim, lightdm) were OK.

I will take this upstream.

Mark

Information forwarded to devuan-bugs@lists.dyne.org:
bug#619; Package elogind. Full text available.

Message received at 619@bugs.devuan.org:


Received: (at 619) by bugs.devuan.org; 18 Oct 2021 19:20:03 +0000
Return-Path: <mail@rkta.de>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Mon, 18 Oct 2021 19:20:03 +0000 (UTC)
Received: from mailproxy07.manitu.net (mailproxy07.manitu.net [217.11.48.71])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 28A2AF60972
	for <619@bugs.devuan.org>; Mon, 18 Oct 2021 21:16:18 +0200 (CEST)
Received: from localhost (p200300ef4f226700021e65fffe229a84.dip0.t-ipconnect.de [IPv6:2003:ef:4f22:6700:21e:65ff:fe22:9a84])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange ECDHE (P-256) server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	(Authenticated sender: u16723@rkita.de)
	by mailproxy07.manitu.net (Postfix) with ESMTPSA id 3E4B4C8765;
	Mon, 18 Oct 2021 21:16:19 +0200 (CEST)
Date: Mon, 18 Oct 2021 21:16:16 +0200
From: Rene Kita <mail@rkta.de>
To: Mark Hindley <mark@hindley.org.uk>
Cc: 619@bugs.devuan.org
Subject: Re: bug#619: elogind crashes with needrestart's defaults
Message-ID: <YW3IAMsFbtHS6E5l@kitchen>
References: <163455317237.23680.12778481983901439544.reportbug@x200>
 <YW1UbLrGfmF3jbQx@hindley.org.uk>
 <YW1ZN7tM4k3yeJFZ@hindley.org.uk>
 <YW192XxRgPoNUOOZ@x200>
 <YW2vhFaCx5yBJNRa@hindley.org.uk>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <YW2vhFaCx5yBJNRa@hindley.org.uk>
X-Spam-Status: No, score=-2.3 required=5.0 tests=RCVD_IN_DNSWL_MED,SPF_PASS
	autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

On Mon, Oct 18, 2021 at 06:31:48PM +0100, Mark Hindley wrote:
> Rene,
> 
> On Mon, Oct 18, 2021 at 03:59:53PM +0200, Rene Kita wrote:
> > > Hmmm. Can you verify that
> > >
> > >  sudo service elogind restart
> > >
> > > works without crashing your GUI?
> > # service elogind restart
> > 
> > crashes the GUI. And I have to use Magic SysRq with 'r' command to get
> > my keyboard back. I tested this on two different laptops.
> 
> OK, that is unexpected. I can't reproduce that behaviour.
> 
> What desktop are you using?
i3 with i3-status and dmenu, started with 'startx'.

> 
> > >
> > > That should be OK since about 239.3
> > >
> > > Which version of Devuan and elogind did you upgrade to Chimaera from? Did you
> > > start from ASCII and miss out Beowulf?
> > At least on one machine I did start out from Beowulf. Another one was
> > installed from the Chimaera Alpha installer.
> > I only use the elogind version from the repos and do not skip any updates.
> 
> And they all show the same behaviour?
Yes. I can reproduce it on 3 different laptops, which all have the same
setup, though.

> 
> I have tried xfce and openbox on both chimaera and beowulf and
> 
>  sudo service elogind restart
> 
> restarts elogind without crashing the current GUI.
> 
> Mark
Rene

Acknowledgement sent to Rene Kita <mail@rkta.de>:
Extra info received and forwarded to list. Copy sent to Mark Hindley <mark@hindley.org.uk>. Full text available.
Information forwarded to devuan-bugs@lists.dyne.org, Mark Hindley <mark@hindley.org.uk>:
bug#619; Package elogind. Full text available.

Message received at 619@bugs.devuan.org:


Received: (at 619) by bugs.devuan.org; 18 Oct 2021 17:40:03 +0000
Return-Path: <mark@hindley.org.uk>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Mon, 18 Oct 2021 17:40:03 +0000 (UTC)
Received: from mx.hindley.org.uk (193-36-131-86.cfwn.uk [193.36.131.86])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id CECE1F60404
	for <619@bugs.devuan.org>; Mon, 18 Oct 2021 19:31:51 +0200 (CEST)
Received: from apollo.hindleynet ([192.168.1.3] helo=hindley.org.uk)
	by mx.hindley.org.uk with smtp (Exim 4.84_2)
	(envelope-from <mark@hindley.org.uk>)
	id 1mcWUH-000795-HC; Mon, 18 Oct 2021 18:31:49 +0100
Received: (nullmailer pid 28004 invoked by uid 1000);
	Mon, 18 Oct 2021 17:31:48 -0000
Date: Mon, 18 Oct 2021 18:31:48 +0100
From: Mark Hindley <mark@hindley.org.uk>
To: Rene Kita <mail@rkta.de>
Cc: 619@bugs.devuan.org
Subject: Re: bug#619: elogind crashes with needrestart's defaults
Message-ID: <YW2vhFaCx5yBJNRa@hindley.org.uk>
References: <163455317237.23680.12778481983901439544.reportbug@x200>
 <YW1UbLrGfmF3jbQx@hindley.org.uk>
 <YW1ZN7tM4k3yeJFZ@hindley.org.uk>
 <YW192XxRgPoNUOOZ@x200>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <YW192XxRgPoNUOOZ@x200>
X-Spam-Status: No, score=0.4 required=5.0 tests=RDNS_DYNAMIC,SPF_PASS
	autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

Rene,

On Mon, Oct 18, 2021 at 03:59:53PM +0200, Rene Kita wrote:
> > Hmmm. Can you verify that
> >
> >  sudo service elogind restart
> >
> > works without crashing your GUI?
> # service elogind restart
> 
> crashes the GUI. And I have to use Magic SysRq with 'r' command to get
> my keyboard back. I tested this on two different laptops.

OK, that is unexpected. I can't reproduce that behaviour.

What desktop are you using?

> >
> > That should be OK since about 239.3
> >
> > Which version of Devuan and elogind did you upgrade to Chimaera from? Did you
> > start from ASCII and miss out Beowulf?
> At least on one machine I did start out from Beowulf. Another one was
> installed from the Chimaera Alpha installer.
> I only use the elogind version from the repos and do not skip any updates.

And they all show the same behaviour?

I have tried xfce and openbox on both chimaera and beowulf and

 sudo service elogind restart

restarts elogind without crashing the current GUI.

Mark

Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Full text available.
Information forwarded to devuan-bugs@lists.dyne.org:
bug#619; Package elogind. Full text available.

Message received at 619@bugs.devuan.org:


Received: (at 619) by bugs.devuan.org; 18 Oct 2021 14:00:01 +0000
Return-Path: <mail@rkta.de>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Mon, 18 Oct 2021 14:00:01 +0000 (UTC)
Received: from mailproxy02.manitu.net (mailproxy02.manitu.net [217.11.48.66])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id D2514F60914
	for <619@bugs.devuan.org>; Mon, 18 Oct 2021 15:59:00 +0200 (CEST)
Received: from localhost (p200300ef4f22670002216bfffe535270.dip0.t-ipconnect.de [IPv6:2003:ef:4f22:6700:221:6bff:fe53:5270])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange ECDHE (P-256) server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	(Authenticated sender: u16723@rkita.de)
	by mailproxy02.manitu.net (Postfix) with ESMTPSA id BF17AC002A;
	Mon, 18 Oct 2021 15:58:59 +0200 (CEST)
Date: Mon, 18 Oct 2021 15:59:53 +0200
From: Rene Kita <mail@rkta.de>
To: Mark Hindley <mark@hindley.org.uk>
Cc: 619@bugs.devuan.org
Subject: Re: bug#619: elogind crashes with needrestart's defaults
Message-ID: <YW192XxRgPoNUOOZ@x200>
References: <163455317237.23680.12778481983901439544.reportbug@x200>
 <YW1UbLrGfmF3jbQx@hindley.org.uk>
 <YW1ZN7tM4k3yeJFZ@hindley.org.uk>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <YW1ZN7tM4k3yeJFZ@hindley.org.uk>
X-Spam-Status: No, score=-2.3 required=5.0 tests=RCVD_IN_DNSWL_MED,SPF_PASS
	autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

(Mark: Sorry, if this message reaches you twice. I accidentally send it via my
work account)

On Mon, Oct 18, 2021 at 12:23:35PM +0100, Mark Hindley wrote:
> On Mon, Oct 18, 2021 at 12:03:09PM +0100, Mark Hindley wrote:
> > Thanks.
> >
> > It looks as if needrestart needs to know how to restart elogind gracefully
+with
> > SIGINT.
>
> Actually, AFAICS on a quick look at needrestart, it should work OK.
>
> Hmmm. Can you verify that
>
>  sudo service elogind restart
>
> works without crashing your GUI?
# service elogind restart

crashes the GUI. And I have to use Magic SysRq with 'r' command to get
my keyboard back. I tested this on two different laptops.

>
> That should be OK since about 239.3
>
> Which version of Devuan and elogind did you upgrade to Chimaera from? Did you
> start from ASCII and miss out Beowulf?
At least on one machine I did start out from Beowulf. Another one was
installed from the Chimaera Alpha installer.
I only use the elogind version from the repos and do not skip any updates.

> Mark
Rene

Acknowledgement sent to Rene Kita <mail@rkta.de>:
Extra info received and forwarded to list. Copy sent to Mark Hindley <mark@hindley.org.uk>. Full text available.
Information forwarded to devuan-bugs@lists.dyne.org, Mark Hindley <mark@hindley.org.uk>:
bug#619; Package elogind. Full text available.

Message received at 619@bugs.devuan.org:


Received: (at 619) by bugs.devuan.org; 18 Oct 2021 13:40:03 +0000
Return-Path: <rene.kita@gruppe.ai>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Mon, 18 Oct 2021 13:40:03 +0000 (UTC)
Received: from mail-wr1-f54.google.com (mail-wr1-f54.google.com [209.85.221.54])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 36827F604F4
	for <619@bugs.devuan.org>; Mon, 18 Oct 2021 15:34:58 +0200 (CEST)
Authentication-Results: vm6.ganeti.dyne.org;
	dkim=pass (2048-bit key; unprotected) header.d=gruppe-ai.20210112.gappssmtp.com header.i=@gruppe-ai.20210112.gappssmtp.com header.b="7vLL9734";
	dkim-atps=neutral
Received: by mail-wr1-f54.google.com with SMTP id g25so41336913wrb.2
        for <619@bugs.devuan.org>; Mon, 18 Oct 2021 06:34:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gruppe-ai.20210112.gappssmtp.com; s=20210112;
        h=from:date:to:cc:subject:message-id:references:mime-version
         :content-disposition:in-reply-to;
        bh=g8gH3PNr4gz1YetCcTcIGT5TFf3CirIYsLUwgCblRmQ=;
        b=7vLL9734k0ueosTHqwXwt5F4b7Fl9wgnLj32BJh0UfxYcIIGwucZ8xKb9xJU5aHWF3
         f8mWg3hIzbKvmFw9GCeBrL1MlX8hSlBcO8JyAjqoPnT6x58kKPhhnmGwDNUlZAU1vTO0
         b8FjUoxQhDX5mtwUK4Fvmw5lwy0Yd608IulPlbc0ggrD15AOGjHL0O4gmUqLewjLwWaM
         TFiNTk7bPxcYMGSJbXV9TNuGxcs8AGXK+R4J8mKFdKzajfFfjv+WL6T3rfHPsofyslNc
         +AmoUN0JHHPtwd0WTSPrpNCecBfXkrLw3OudFv8Kyvzac1PXZ71bW81o9DgWcvsKeOxE
         roJw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=1e100.net; s=20210112;
        h=x-gm-message-state:from:date:to:cc:subject:message-id:references
         :mime-version:content-disposition:in-reply-to;
        bh=g8gH3PNr4gz1YetCcTcIGT5TFf3CirIYsLUwgCblRmQ=;
        b=SNetlU2Tal6UhXLCgM5OKPXzXpFq5APsdr36vT6qJ9NAYnBRRFb6XV5VjQHOHMQYNZ
         lXwi9E79eElpczkXzZzgSPB9FPPNiu0BBUwXB7cdPhVkVgYAQWU0YrPfBadhdrLAGqVc
         jfU1gs3A1y+BFC34ajRFc5iV2LU4OL/Ukfj4RRrJbhFDxZPGtuiWWfGGb/8yqW+8ECWc
         UC1yvYWWrX8pcF/l9Gju2h3EC8j6G3tinQ1DsXclQIvBv7aWCdDWH8WWcM7IDlvF6enf
         hqHgZ7r3liHwCFC/4A58H8EZHsbzsyQVp5M6Pfynry8aNVFJWFNaL/cs6YD1+Yvw9w0R
         WODw==
X-Gm-Message-State: AOAM531rJJWvbcQ1ogoiZFELExKX0IGzpn83uLI64gfrdPpTK+cUbJYz
	I6AWPYKhdJrNYj5thUK59if++A==
X-Google-Smtp-Source: ABdhPJy1oblDwXWWfLEYioAJc4LwAt3hRwHDGo47May8qmkCRTKam5yBR4OsxhtJDdzSpslZJTxh2w==
X-Received: by 2002:adf:97d0:: with SMTP id t16mr34619921wrb.124.1634564097570;
        Mon, 18 Oct 2021 06:34:57 -0700 (PDT)
Received: from localhost (p200300ef4f22670002216bfffe535270.dip0.t-ipconnect.de. [2003:ef:4f22:6700:221:6bff:fe53:5270])
        by smtp.gmail.com with ESMTPSA id s3sm12475024wrm.40.2021.10.18.06.34.56
        (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
        Mon, 18 Oct 2021 06:34:57 -0700 (PDT)
From: Rene Kita <rene.kita@gruppe.ai>
X-Google-Original-From: Rene Kita <mail@rkta.de>
Date: Mon, 18 Oct 2021 15:35:51 +0200
To: Mark Hindley <mark@hindley.org.uk>
Cc: 619@bugs.devuan.org
Subject: Re: bug#619: elogind crashes with needrestart's defaults
Message-ID: <YW14NxaGUC6s1vLC@x200>
References: <163455317237.23680.12778481983901439544.reportbug@x200>
 <YW1UbLrGfmF3jbQx@hindley.org.uk>
 <YW1ZN7tM4k3yeJFZ@hindley.org.uk>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <YW1ZN7tM4k3yeJFZ@hindley.org.uk>
X-Spam-Status: No, score=-0.0 required=5.0 tests=DKIM_SIGNED,DKIM_VALID,
	RCVD_IN_DNSWL_NONE,RCVD_IN_MSPIKE_H2,SPF_PASS autolearn=disabled
	version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

On Mon, Oct 18, 2021 at 12:23:35PM +0100, Mark Hindley wrote:
> On Mon, Oct 18, 2021 at 12:03:09PM +0100, Mark Hindley wrote:
> > Thanks.
> > 
> > It looks as if needrestart needs to know how to restart elogind gracefully with
> > SIGINT.
> 
> Actually, AFAICS on a quick look at needrestart, it should work OK.
> 
> Hmmm. Can you verify that
> 
>  sudo service elogind restart
> 
> works without crashing your GUI?
# service elogind restart

crashes the GUI. And I have to use Magic SysRq with 'r' command to get
my keyboard back. I tested this on two different laptops.

> 
> That should be OK since about 239.3
> 
> Which version of Devuan and elogind did you upgrade to Chimaera from? Did you
> start from ASCII and miss out Beowulf?
At least on one machine I did start out from Beowulf. Another one was
installed from the Chimaera Alpha installer.
I only use the elogind version from the repos and do not skip any updates.

> Mark
Rene

Acknowledgement sent to Rene Kita <rene.kita@gruppe.ai>:
Extra info received and forwarded to list. Copy sent to Mark Hindley <mark@hindley.org.uk>. Full text available.
Information forwarded to devuan-bugs@lists.dyne.org, Mark Hindley <mark@hindley.org.uk>:
bug#619; Package elogind. Full text available.

Message received at 619@bugs.devuan.org:


Received: (at 619) by bugs.devuan.org; 18 Oct 2021 11:30:04 +0000
Return-Path: <mark@hindley.org.uk>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Mon, 18 Oct 2021 11:30:04 +0000 (UTC)
Received: from mx.hindley.org.uk (193-36-131-86.cfwn.uk [193.36.131.86])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 5E740F608B0
	for <619@bugs.devuan.org>; Mon, 18 Oct 2021 13:23:38 +0200 (CEST)
Received: from apollo.hindleynet ([192.168.1.3] helo=hindley.org.uk)
	by mx.hindley.org.uk with smtp (Exim 4.84_2)
	(envelope-from <mark@hindley.org.uk>)
	id 1mcQjw-0005ae-Hb; Mon, 18 Oct 2021 12:23:36 +0100
Received: (nullmailer pid 23501 invoked by uid 1000);
	Mon, 18 Oct 2021 11:23:35 -0000
Date: Mon, 18 Oct 2021 12:23:35 +0100
From: Mark Hindley <mark@hindley.org.uk>
To: Rene Kita <mail@rkta.de>, 619@bugs.devuan.org
Subject: Re: bug#619: elogind crashes with needrestart's defaults
Message-ID: <YW1ZN7tM4k3yeJFZ@hindley.org.uk>
References: <163455317237.23680.12778481983901439544.reportbug@x200>
 <YW1UbLrGfmF3jbQx@hindley.org.uk>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <YW1UbLrGfmF3jbQx@hindley.org.uk>
X-Debbugs-No-Ack: No Thanks
X-Spam-Status: No, score=0.4 required=5.0 tests=RDNS_DYNAMIC,SPF_PASS
	autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

On Mon, Oct 18, 2021 at 12:03:09PM +0100, Mark Hindley wrote:
> Thanks.
> 
> It looks as if needrestart needs to know how to restart elogind gracefully with
> SIGINT.

Actually, AFAICS on a quick look at needrestart, it should work OK.

Hmmm. Can you verify that

 sudo service elogind restart

works without crashing your GUI?

That should be OK since about 239.3

Which version of Devuan and elogind did you upgrade to Chimaera from? Did you
start from ASCII and miss out Beowulf?

Mark

Information forwarded to devuan-bugs@lists.dyne.org:
bug#619; Package elogind. Full text available.

Message received at 619@bugs.devuan.org:


Received: (at 619) by bugs.devuan.org; 18 Oct 2021 11:10:03 +0000
Return-Path: <mark@hindley.org.uk>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Mon, 18 Oct 2021 11:10:03 +0000 (UTC)
Received: from mx.hindley.org.uk (193-36-131-86.cfwn.uk [193.36.131.86])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 8EC6DF60BAF
	for <619@bugs.devuan.org>; Mon, 18 Oct 2021 13:03:11 +0200 (CEST)
Received: from apollo.hindleynet ([192.168.1.3] helo=hindley.org.uk)
	by mx.hindley.org.uk with smtp (Exim 4.84_2)
	(envelope-from <mark@hindley.org.uk>)
	id 1mcQQA-0005UG-EQ; Mon, 18 Oct 2021 12:03:10 +0100
Received: (nullmailer pid 23214 invoked by uid 1000);
	Mon, 18 Oct 2021 11:03:09 -0000
Date: Mon, 18 Oct 2021 12:03:08 +0100
From: Mark Hindley <mark@hindley.org.uk>
To: Rene Kita <mail@rkta.de>, 619@bugs.devuan.org
Subject: Re: bug#619: elogind crashes with needrestart's defaults
Message-ID: <YW1UbLrGfmF3jbQx@hindley.org.uk>
References: <163455317237.23680.12778481983901439544.reportbug@x200>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <163455317237.23680.12778481983901439544.reportbug@x200>
X-Debbugs-No-Ack: No Thanks
X-Spam-Status: No, score=0.4 required=5.0 tests=RDNS_DYNAMIC,SPF_PASS
	autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

Thanks.

It looks as if needrestart needs to know how to restart elogind gracefully with
SIGINT.

Mark

Information forwarded to devuan-bugs@lists.dyne.org:
bug#619; Package elogind. Full text available.

Message received at submit@bugs.devuan.org:


Received: (at submit) by bugs.devuan.org; 18 Oct 2021 10:40:04 +0000
Return-Path: <mail@rkta.de>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Mon, 18 Oct 2021 10:40:04 +0000 (UTC)
Received: from mailproxy08.manitu.net (mailproxy08.manitu.net [217.11.48.31])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 97BDBF6096D
	for <submit@bugs.devuan.org>; Mon, 18 Oct 2021 12:31:59 +0200 (CEST)
Received: from x200 (p200300ef4f22670002216bfffe535270.dip0.t-ipconnect.de [IPv6:2003:ef:4f22:6700:221:6bff:fe53:5270])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits))
	(No client certificate requested)
	(Authenticated sender: u16723@rkita.de)
	by mailproxy08.manitu.net (Postfix) with ESMTPSA id E9B651B200A3;
	Mon, 18 Oct 2021 12:31:56 +0200 (CEST)
Received: from kt by x200 with local (Exim 4.94.2)
	(envelope-from <mail@rkta.de>)
	id 1mcPwq-0006Jg-DB; Mon, 18 Oct 2021 12:32:52 +0200
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
From: Rene Kita <mail@rkta.de>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: elogind crashes with needrestart's defaults
Message-ID: <163455317237.23680.12778481983901439544.reportbug@x200>
Date: Mon, 18 Oct 2021 12:32:52 +0200
X-Spam-Status: No, score=-2.3 required=5.0 tests=RCVD_IN_DNSWL_MED,SPF_PASS
	autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

Package: elogind
Version: 246.10-2
Severity: normal

Dear Maintainer,

   * What led up to the situation?
   After upgrading 'elogind' 'needrestart' prompts to choose which
   services should be restarted. 'elogind' is checked by default.
   When confirming the default choice 'X' crashes and I end up on a
   virtual console.

   * What outcome did you expect instead?
   I expected it to either not crash or not suggest to restart.

My system boots to a virtual console and I use 'startx' to get a
graphical session. My window manager is i3.

If more information or testing is needed, I'll provide it.



-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (chimaera)
Release:	4
Codename:	chimaera
Architecture: x86_64

Kernel: Linux 5.10.0-9-amd64 (SMP w/2 CPU threads)
Kernel taint flags: TAINT_WARN
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages elogind depends on:
ii  dbus                  1.12.20-2+devuan2
ii  debconf               1.5.77
ii  init-system-helpers   1.60+devuan1
ii  libacl1               2.2.53-10
ii  libc6                 2.31-13+deb11u2
ii  libcap2               1:2.44-1
ii  libelogind0           246.10-2
ii  libeudev1 [libudev1]  3.2.9-10~chimaera1
ii  libpam0g              1.4.0-9+deb11u1
ii  libselinux1           3.1-3
ii  lsb-base              11.1.0

Versions of packages elogind recommends:
ii  libpam-elogind  246.10-2
ii  policykit-1     0.105-31+devuan1

elogind suggests no packages.

-- no debconf information

Acknowledgement sent to Rene Kita <mail@rkta.de>:
New bug report received and forwarded. Copy sent to Mark Hindley <mark@hindley.org.uk>. Full text available.
Report forwarded to devuan-bugs@lists.dyne.org, Mark Hindley <mark@hindley.org.uk>:
bug#619; Package elogind. Full text available.

Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Sun, 16 Jan 2022 18:39:01 UTC